Update account number information
Update account number information for a store
Required permissions: ACCOUNTING_CONFIG
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Store.
^[A-Za-z0-9-_]+Accounting configs model
Account for customers
Error account, used if no valid account is found
Interim account for partly paid invoices.
Deposit cash float into the cash register
Withdraw cash float from the cash register
Withdraw cash float and transfer it to the bank
Withdraw cash float for expenses throughout the day
Account for cash register till count discrepancies
Revenue account for goods sold under the VAT margin scheme, such as used or refurbished goods. These lines are booked here net of the margin VAT, instead of on the account for their VAT code.
Account for the VAT on the margin of goods sold under the VAT margin scheme. It is posted separately because the VAT is calculated on the margin rather than on the sale price.
Example response
Accounting configs model
Account for customers
Error account, used if no valid account is found
Interim account for partly paid invoices.
Deposit cash float into the cash register
Withdraw cash float from the cash register
Withdraw cash float and transfer it to the bank
Withdraw cash float for expenses throughout the day
Account for cash register till count discrepancies
Revenue account for goods sold under the VAT margin scheme, such as used or refurbished goods. These lines are booked here net of the margin VAT, instead of on the account for their VAT code.
Account for the VAT on the margin of goods sold under the VAT margin scheme. It is posted separately because the VAT is calculated on the margin rather than on the sale price.
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/accountnumbers HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 318
{
"customer": "text",
"customerDummy": "text",
"error": "text",
"partlyPaidInvoice": "text",
"cashfloatDeposit": "text",
"cashfloatWithdrawal": "text",
"cashfloatToBank": "text",
"cashfloatExpenseWithdrawal": "text",
"cashfloatDiff": "text",
"marginVatSales": "text",
"marginVat": "text",
"vatCodes": [
{
"vatCodeUid": "text",
"account": "text"
}
]
}Example response
{
"customer": "text",
"customerDummy": "text",
"error": "text",
"partlyPaidInvoice": "text",
"cashfloatDeposit": "text",
"cashfloatWithdrawal": "text",
"cashfloatToBank": "text",
"cashfloatExpenseWithdrawal": "text",
"cashfloatDiff": "text",
"marginVatSales": "text",
"marginVat": "text",
"vatCodes": [
{
"vatCodeUid": "text",
"account": "text"
}
]
}Last updated
Was this helpful?

